package yem.wm.cm.csrm.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.mvc.list.ListView;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

/**
 * 客商准入标准单据列表插件
 *
 * @Author yunshuaiwei
 * @Date 2024/6/6 10:17
 **/
public class MerchantApplyListPlugIn extends AbstractListPlugin implements Plugin {

    @Override
    public void setFilter(SetFilterEvent e) {
        String billFormId = ((ListView) this.getView()).getBillFormId();
        e.addCustomQFilter(new QFilter("yem_isadmit", QCP.equals, "yem_cm_merchantapply".equals(billFormId)));
    }
}