package yem.wm.cm.csrm.thirdapi;

import kd.bos.dataentity.entity.DynamicObject;

import java.util.Map;

/**
 * 第三方接口信息公共类
 *
 * @Author yunshuaiwei
 * @Date 2024/5/28 9:14
 **/
public interface ThirdPartyApi {

    /**
     * 获取Token MD5加密
     *
     * @Author yunshuaiwei
     * @Date 2024/5/28 9:22
     **/
    Map<String, String> accessTokenMd5(Long schemeId);

    /**
     * schemeId：第三方接口信息ID
     * apiRegister：接口注册信息ID
     * params：query参数
     *
     * @Author yunshuaiwei
     * @Date 2024/5/28 10:21
     **/
    String getMethod(DynamicObject apiInfo, DynamicObject apiRegister, Map<String, String> params);

    void postMethod(DynamicObject apiInfo, DynamicObject apiRegister,Map<String, String> params);

    /**
     * number：API编码
     *
     * @Author yunshuaiwei
     * @Date 2024/5/28 10:21
     **/
    String requestMethod(String number,Map<String, String> params);
}
