package yem.wm.cm.sys.utils;

/**
 * 公共参数类
 * @author 86173
 *
 */
public class ConstantUtils {
	
	public static String Status_200 = "200";//【有效请求】查询成功
	public static String Status_201 = "201";//【有效请求】查询无结果
	public static String Status_202 = "202";//【有效请求】查询参数错误，请检查
	public static String Status_205 = "205";//【有效请求】等待处理中
	public static String Status_207 = "207";//【有效请求】请求数据的条目数超过上限（5000）
	public static String Status_208 = "208";//【有效请求】此接口不支持此公司类型查询
	public static String Status_209 = "209";//【有效请求】企业数量超过上限
	public static String Status_213 = "213";//【有效请求】参数长度不能小于2
	public static String Status_215 = "215";//【有效请求】不支持的查询关键字
	public static String Status_218 = "218";//【有效请求】该企业暂不支持空壳扫描
	public static String Status_219 = "219";//【有效请求】该企业暂不支持准入尽调
	public static String Status_105 = "105";//【有效请求】接口已下线停用
	public static String Status_110 = "110";//【有效请求】当前相同查询连续出错，请等2小时后重试
	
	public static String Status_101 = "101";//【无效请求】当前的KEY无效或者还未生效中
	public static String Status_102 = "102";//【无效请求】当前KEY已欠费
	public static String Status_103 = "103";//【无效请求】当前KEY被暂停使用
	public static String Status_104 = "104";//【无效请求】请求KEY异常，请联系管理员
	public static String Status_106 = "106";//【无效请求】非法请求过多，请联系管理员
	public static String Status_107 = "107";//【无效请求】被禁止的IP或者签名错误
	public static String Status_108 = "108";//【无效请求】异常请求过多，请联系管理员
	public static String Status_109 = "109";//【无效请求】请求超过每日系统限制
	public static String Status_111 = "111";//【无效请求】接口权限未开通，请联系管理员
	public static String Status_112 = "112";//【无效请求】您的账号剩余使用量已不足或已过期
	public static String Status_113 = "113";//【无效请求】当前接口已被删除，请重新申请
	public static String Status_114 = "114";//【无效请求】当前接口已被禁用，请联系管理员
	public static String Status_115 = "115";//【无效请求】身份验证错误或者已过期
	public static String Status_116 = "116";//【无效请求】请求超过每日调用总量限制
	public static String Status_117 = "117";//【无效请求】当前不支持的请求参数调用量过多
	public static String Status_118 = "118";//【无效请求】当前接口不支持此方式的调用
	public static String Status_119 = "119";//【无效请求】您的帐号出现异常，请联系管理员
	public static String Status_120 = "120";//【无效请求】系统流量异常，请稍后再试
	public static String Status_121 = "121";//【无效请求】数据不能出境
	public static String Status_199 = "199";//【无效请求】系统未知错误，请联系技术客服
	public static String Status_203 = "203";//【无效请求】系统查询有异常，请联系技术人员
	public static String Status_214 = "214";//【无效请求】您还未购买过该接口，请先购买
	public static String Status_223 = "223";//【无效请求】当前接口的计费方式不支持此查询参数
	public static String Status_404 = "404";//程序报错

}
